<html>
<head>
<title>OGRE: Ogre::HardwareIndexBufferSharedPtr Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1HardwareIndexBufferSharedPtr.html">HardwareIndexBufferSharedPtr</a></div>
<h1>Ogre::HardwareIndexBufferSharedPtr Class Reference</h1><!-- doxytag: class="Ogre::HardwareIndexBufferSharedPtr" --><!-- doxytag: inherits="Ogre::SharedPtr" -->Shared pointer implementation used to share index buffers.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreHardwareIndexBuffer_8h-source.html">OgreHardwareIndexBuffer.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::HardwareIndexBufferSharedPtr:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1HardwareIndexBufferSharedPtr-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareIndexBufferSharedPtr.html#cf8ade5ea73930603152b10379862cdb">HardwareIndexBufferSharedPtr</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareIndexBufferSharedPtr.html#091192bcdb9174f94f3f8d1dad322aab">HardwareIndexBufferSharedPtr</a> (<a class="el" href="classOgre_1_1HardwareIndexBuffer.html">HardwareIndexBuffer</a> *buf)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">T &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#8ea458552899a134e19e8fe69e03453a">operator *</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">T *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#756cec152c2db605fe7424da7f8e879b">operator-&gt;</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">T *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#2c3ed4a7b5574c4e53adec450fd537b0">get</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#1b5e6d7a4cc4f7b96e9aa56ccdc982aa">bind</a> (T *rep)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Binds rep to the <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">SharedPtr</a>.  <a href="#1b5e6d7a4cc4f7b96e9aa56ccdc982aa"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#cd2b97578b72dd4abc33471a93ca4b91">unique</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#29e90ed7b4339cce1cc7e6be919e78bb">useCount</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#21c3410c03ec3a4647c7aaa8e59d535d">useCountPointer</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">T *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#15e055008751a7c20bdde38662d5f0a1">getPointer</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#8a223db784efd7aa766792649de2f2a0">isNull</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#e23c79e49621afdb17fc32f30519859f">setNull</a> (void)</td></tr>

<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#a9225d4dac90501b6a5f0b2b49ea2eed">release</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#faba3332d99634ccbacef674fc46b773">destroy</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#f07cad7e719e517472410d87f4e974ea">swap</a> (<a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; T &gt; &amp;other)</td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">T *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#8a5094cabd90223647525fe162e94e57">pRep</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SharedPtr.html#52f9915e259723090662cca7c3c51d52">pUseCount</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Shared pointer implementation used to share index buffers. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareIndexBuffer_8h-source.html#l00070">70</a> of file <a class="el" href="OgreHardwareIndexBuffer_8h-source.html">OgreHardwareIndexBuffer.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="cf8ade5ea73930603152b10379862cdb"></a><!-- doxytag: member="Ogre::HardwareIndexBufferSharedPtr::HardwareIndexBufferSharedPtr" ref="cf8ade5ea73930603152b10379862cdb" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::HardwareIndexBufferSharedPtr::HardwareIndexBufferSharedPtr           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareIndexBuffer_8h-source.html#l00073">73</a> of file <a class="el" href="OgreHardwareIndexBuffer_8h-source.html">OgreHardwareIndexBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="091192bcdb9174f94f3f8d1dad322aab"></a><!-- doxytag: member="Ogre::HardwareIndexBufferSharedPtr::HardwareIndexBufferSharedPtr" ref="091192bcdb9174f94f3f8d1dad322aab" args="(HardwareIndexBuffer *buf)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::HardwareIndexBufferSharedPtr::HardwareIndexBufferSharedPtr           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">HardwareIndexBuffer</a> *&nbsp;</td>
          <td class="paramname"> <em>buf</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="8ea458552899a134e19e8fe69e03453a"></a><!-- doxytag: member="Ogre::HardwareIndexBufferSharedPtr::operator *" ref="8ea458552899a134e19e8fe69e03453a" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T&amp; <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; T &gt;::operator *           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSharedPtr_8h-source.html#l00129">129</a> of file <a class="el" href="OgreSharedPtr_8h-source.html">OgreSharedPtr.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="756cec152c2db605fe7424da7f8e879b"></a><!-- doxytag: member="Ogre::HardwareIndexBufferSharedPtr::operator-&gt;" ref="756cec152c2db605fe7424da7f8e879b" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T* <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; T &gt;::operator-&gt;           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSharedPtr_8h-source.html#l00130">130</a> of file <a class="el" href="OgreSharedPtr_8h-source.html">OgreSharedPtr.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2c3ed4a7b5574c4e53adec450fd537b0"></a><!-- doxytag: member="Ogre::HardwareIndexBufferSharedPtr::get" ref="2c3ed4a7b5574c4e53adec450fd537b0" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T* <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; T &gt;::get           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSharedPtr_8h-source.html#l00131">131</a> of file <a class="el" href="OgreSharedPtr_8h-source.html">OgreSharedPtr.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSharedPtr_8h-source.html#l00217">Ogre::operator!=()</a>, and <a class="el" href="OgreSharedPtr_8h-source.html#l00212">Ogre::operator==()</a>.</p>

</div>
</div><p>
<a class="anchor" name="1b5e6d7a4cc4f7b96e9aa56ccdc982aa"></a><!-- doxytag: member="Ogre::HardwareIndexBufferSharedPtr::bind" ref="1b5e6d7a4cc4f7b96e9aa56ccdc982aa" args="(T *rep)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; T &gt;::bind           </td>
          <td>(</td>
          <td class="paramtype">T *&nbsp;</td>
          <td class="paramname"> <em>rep</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Binds rep to the <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">SharedPtr</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Assumes that the <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">SharedPtr</a> is uninitialised! </dd></dl>

<p>Definition at line <a class="el" href="OgreSharedPtr_8h-source.html#l00137">137</a> of file <a class="el" href="OgreSharedPtr_8h-source.html">OgreSharedPtr.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cd2b97578b72dd4abc33471a93ca4b91"></a><!-- doxytag: member="Ogre::HardwareIndexBufferSharedPtr::unique" ref="cd2b97578b72dd4abc33471a93ca4b91" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; T &gt;::unique           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSharedPtr_8h-source.html#l00145">145</a> of file <a class="el" href="OgreSharedPtr_8h-source.html">OgreSharedPtr.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="29e90ed7b4339cce1cc7e6be919e78bb"></a><!-- doxytag: member="Ogre::HardwareIndexBufferSharedPtr::useCount" ref="29e90ed7b4339cce1cc7e6be919e78bb" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; T &gt;::useCount           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSharedPtr_8h-source.html#l00146">146</a> of file <a class="el" href="OgreSharedPtr_8h-source.html">OgreSharedPtr.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="21c3410c03ec3a4647c7aaa8e59d535d"></a><!-- doxytag: member="Ogre::HardwareIndexBufferSharedPtr::useCountPointer" ref="21c3410c03ec3a4647c7aaa8e59d535d" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">unsigned int* <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; T &gt;::useCountPointer           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSharedPtr_8h-source.html#l00147">147</a> of file <a class="el" href="OgreSharedPtr_8h-source.html">OgreSharedPtr.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCompositor_8h-source.html#l00134">Ogre::CompositorPtr::CompositorPtr()</a>, <a class="el" href="OgreFont_8h-source.html#l00387">Ogre::FontPtr::FontPtr()</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l01585">Ogre::GpuProgramPtr::GpuProgramPtr()</a>, <a class="el" href="OgreHighLevelGpuProgram_8h-source.html#l00138">Ogre::HighLevelGpuProgramPtr::HighLevelGpuProgramPtr()</a>, <a class="el" href="OgreMaterial_8h-source.html#l00634">Ogre::MaterialPtr::MaterialPtr()</a>, <a class="el" href="OgreTexture_8h-source.html#l00387">Ogre::TexturePtr::operator=()</a>, <a class="el" href="OgreSkeleton_8h-source.html#l00476">Ogre::SkeletonPtr::operator=()</a>, <a class="el" href="OgrePatchMesh_8h-source.html#l00102">Ogre::PatchMeshPtr::operator=()</a>, <a class="el" href="OgreMaterial_8h-source.html#l00651">Ogre::MaterialPtr::operator=()</a>, <a class="el" href="OgreHighLevelGpuProgram_8h-source.html#l00155">Ogre::HighLevelGpuProgramPtr::operator=()</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l01602">Ogre::GpuProgramPtr::operator=()</a>, <a class="el" href="OgreFont_8h-source.html#l00404">Ogre::FontPtr::operator=()</a>, <a class="el" href="OgreCompositor_8h-source.html#l00151">Ogre::CompositorPtr::operator=()</a>, <a class="el" href="OgrePatchMesh_8h-source.html#l00085">Ogre::PatchMeshPtr::PatchMeshPtr()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00095">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::SharedPtr()</a>, <a class="el" href="OgreSkeleton_8h-source.html#l00459">Ogre::SkeletonPtr::SkeletonPtr()</a>, and <a class="el" href="OgreTexture_8h-source.html#l00370">Ogre::TexturePtr::TexturePtr()</a>.</p>

</div>
</div><p>
<a class="anchor" name="15e055008751a7c20bdde38662d5f0a1"></a><!-- doxytag: member="Ogre::HardwareIndexBufferSharedPtr::getPointer" ref="15e055008751a7c20bdde38662d5f0a1" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T* <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; T &gt;::getPointer           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSharedPtr_8h-source.html#l00149">149</a> of file <a class="el" href="OgreSharedPtr_8h-source.html">OgreSharedPtr.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCompositor_8h-source.html#l00134">Ogre::CompositorPtr::CompositorPtr()</a>, <a class="el" href="OgreFont_8h-source.html#l00387">Ogre::FontPtr::FontPtr()</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l01585">Ogre::GpuProgramPtr::GpuProgramPtr()</a>, <a class="el" href="OgreHighLevelGpuProgram_8h-source.html#l00138">Ogre::HighLevelGpuProgramPtr::HighLevelGpuProgramPtr()</a>, <a class="el" href="OgreMaterial_8h-source.html#l00634">Ogre::MaterialPtr::MaterialPtr()</a>, <a class="el" href="OgreTexture_8h-source.html#l00387">Ogre::TexturePtr::operator=()</a>, <a class="el" href="OgreSkeleton_8h-source.html#l00476">Ogre::SkeletonPtr::operator=()</a>, <a class="el" href="OgrePatchMesh_8h-source.html#l00102">Ogre::PatchMeshPtr::operator=()</a>, <a class="el" href="OgreMaterial_8h-source.html#l00651">Ogre::MaterialPtr::operator=()</a>, <a class="el" href="OgreHighLevelGpuProgram_8h-source.html#l00155">Ogre::HighLevelGpuProgramPtr::operator=()</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l01602">Ogre::GpuProgramPtr::operator=()</a>, <a class="el" href="OgreFont_8h-source.html#l00404">Ogre::FontPtr::operator=()</a>, <a class="el" href="OgreCompositor_8h-source.html#l00151">Ogre::CompositorPtr::operator=()</a>, <a class="el" href="OgrePatchMesh_8h-source.html#l00085">Ogre::PatchMeshPtr::PatchMeshPtr()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00095">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::SharedPtr()</a>, <a class="el" href="OgreSkeleton_8h-source.html#l00459">Ogre::SkeletonPtr::SkeletonPtr()</a>, and <a class="el" href="OgreTexture_8h-source.html#l00370">Ogre::TexturePtr::TexturePtr()</a>.</p>

</div>
</div><p>
<a class="anchor" name="8a223db784efd7aa766792649de2f2a0"></a><!-- doxytag: member="Ogre::HardwareIndexBufferSharedPtr::isNull" ref="8a223db784efd7aa766792649de2f2a0" args="(void) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; T &gt;::isNull           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSharedPtr_8h-source.html#l00151">151</a> of file <a class="el" href="OgreSharedPtr_8h-source.html">OgreSharedPtr.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTexture_8h-source.html#l00387">Ogre::TexturePtr::operator=()</a>, <a class="el" href="OgreSkeleton_8h-source.html#l00476">Ogre::SkeletonPtr::operator=()</a>, <a class="el" href="OgrePatchMesh_8h-source.html#l00102">Ogre::PatchMeshPtr::operator=()</a>, <a class="el" href="OgreMaterial_8h-source.html#l00651">Ogre::MaterialPtr::operator=()</a>, <a class="el" href="OgreHighLevelGpuProgram_8h-source.html#l00155">Ogre::HighLevelGpuProgramPtr::operator=()</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l01602">Ogre::GpuProgramPtr::operator=()</a>, <a class="el" href="OgreFont_8h-source.html#l00404">Ogre::FontPtr::operator=()</a>, and <a class="el" href="OgreCompositor_8h-source.html#l00151">Ogre::CompositorPtr::operator=()</a>.</p>

</div>
</div><p>
<a class="anchor" name="e23c79e49621afdb17fc32f30519859f"></a><!-- doxytag: member="Ogre::HardwareIndexBufferSharedPtr::setNull" ref="e23c79e49621afdb17fc32f30519859f" args="(void)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; T &gt;::setNull           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSharedPtr_8h-source.html#l00153">153</a> of file <a class="el" href="OgreSharedPtr_8h-source.html">OgreSharedPtr.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a9225d4dac90501b6a5f0b2b49ea2eed"></a><!-- doxytag: member="Ogre::HardwareIndexBufferSharedPtr::release" ref="a9225d4dac90501b6a5f0b2b49ea2eed" args="(void)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; T &gt;::release           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSharedPtr_8h-source.html#l00165">165</a> of file <a class="el" href="OgreSharedPtr_8h-source.html">OgreSharedPtr.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSharedPtr_8h-source.html#l00153">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::setNull()</a>, and <a class="el" href="OgreSharedPtr_8h-source.html#l00124">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::~SharedPtr()</a>.</p>

</div>
</div><p>
<a class="anchor" name="faba3332d99634ccbacef674fc46b773"></a><!-- doxytag: member="Ogre::HardwareIndexBufferSharedPtr::destroy" ref="faba3332d99634ccbacef674fc46b773" args="(void)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; T &gt;::destroy           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Reimplemented in <a class="el" href="classOgre_1_1MeshPtr.html#c3c7d33a2533d416826dbcebbc7a238e">Ogre::MeshPtr</a>.</p>

<p>Definition at line <a class="el" href="OgreSharedPtr_8h-source.html#l00191">191</a> of file <a class="el" href="OgreSharedPtr_8h-source.html">OgreSharedPtr.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSharedPtr_8h-source.html#l00165">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::release()</a>.</p>

</div>
</div><p>
<a class="anchor" name="f07cad7e719e517472410d87f4e974ea"></a><!-- doxytag: member="Ogre::HardwareIndexBufferSharedPtr::swap" ref="f07cad7e719e517472410d87f4e974ea" args="(SharedPtr&lt; T &gt; &amp;other)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; T &gt;::swap           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; T &gt; &amp;&nbsp;</td>
          <td class="paramname"> <em>other</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSharedPtr_8h-source.html#l00202">202</a> of file <a class="el" href="OgreSharedPtr_8h-source.html">OgreSharedPtr.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSharedPtr_8h-source.html#l00084">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::operator=()</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="8a5094cabd90223647525fe162e94e57"></a><!-- doxytag: member="Ogre::HardwareIndexBufferSharedPtr::pRep" ref="8a5094cabd90223647525fe162e94e57" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T* <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#8a5094cabd90223647525fe162e94e57">pRep</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSharedPtr_8h-source.html#l00046">46</a> of file <a class="el" href="OgreSharedPtr_8h-source.html">OgreSharedPtr.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSharedPtr_8h-source.html#l00137">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::bind()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00191">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::destroy()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00131">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::get()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00149">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::getPointer()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00151">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::isNull()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00129">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::operator *()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00130">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::operator-&gt;()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00084">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::operator=()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00153">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::setNull()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00065">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::SharedPtr()</a>, and <a class="el" href="OgreSharedPtr_8h-source.html#l00202">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::swap()</a>.</p>

</div>
</div><p>
<a class="anchor" name="52f9915e259723090662cca7c3c51d52"></a><!-- doxytag: member="Ogre::HardwareIndexBufferSharedPtr::pUseCount" ref="52f9915e259723090662cca7c3c51d52" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">unsigned int* <a class="el" href="classOgre_1_1SharedPtr.html">Ogre::SharedPtr</a>&lt; T &gt;::<a class="el" href="classOgre_1_1SharedPtr.html#52f9915e259723090662cca7c3c51d52">pUseCount</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSharedPtr_8h-source.html#l00047">47</a> of file <a class="el" href="OgreSharedPtr_8h-source.html">OgreSharedPtr.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSharedPtr_8h-source.html#l00137">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::bind()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00191">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::destroy()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00165">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::release()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00153">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::setNull()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00065">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::SharedPtr()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00202">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::swap()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00145">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::unique()</a>, <a class="el" href="OgreSharedPtr_8h-source.html#l00146">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::useCount()</a>, and <a class="el" href="OgreSharedPtr_8h-source.html#l00147">Ogre::SharedPtr&lt; Ogre::PatchMesh &gt;::useCountPointer()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreHardwareIndexBuffer_8h-source.html">OgreHardwareIndexBuffer.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:56 2008
</p>
</body>
</html>
